;; Sample emacs configuration for this setup

(setq org-preview-latex-process-alist
      '((texpngweb
	 :programs ("curl")
	 :description "tex > png"
	 :message "you need to install curl."
	 :image-input-type "tex"
	 :image-output-type "png"
	 :image-size-adjust (1.0 . 1.0)
         ;; This works in my pc, but not in android.
	 ;; :latex-compiler ("curl -F \"file=@%f\" http://0.0.0.0:8000")
         ;; For some reason this works in android (and also on pc)
	 :latex-compiler ("curl -F \"file=@%f\" http://0.0.0.0:8000 && curl http://0.0.0.0:8000/tmp.png -o %O")
	 :image-converter ("curl http://0.0.0.0:8000/tmp.png -o %O"))))

(setq org-latex-create-formula-image-program 'texpngweb)
